(** @return whether feature is available *)
let feature = function
| "EVENTFD" -> Some false
| "ATFILE" -> Some true
| "DIRFD" -> Some true
| "STATVFS" -> Some true
| "SIOCGIFCONF" -> Some true
| "IFADDRS" -> Some true
| "INET_NTOA" -> Some true
| "UNAME" -> Some true
| "FADVISE" -> Some true
| "FALLOCATE" -> Some true
| "TTY_IOCTL" -> Some true
| "TTYNAME" -> Some true
| "CTERMID" -> Some true
| "GETTID" -> Some false
| "PGID" -> Some true
| "SETREUID" -> Some true
| "FSYNC" -> Some true
| "FDATASYNC" -> Some true
| "SYNC" -> Some true
| "SYNCFS" -> Some true
| "REALPATH" -> Some true
| "SIGNALFD" -> Some false
| "PTRACE" -> Some false
| "RESOURCE" -> Some true
| "MLOCKALL" -> Some true
| "STRTIME" -> Some true
| "TIMEZONE" -> Some true
| "PTS" -> Some true
| "FCNTL" -> Some true
| "TCPGRP" -> Some true
| "EXECINFO" -> Some true
| "SETENV" -> Some true
| "CLEARENV" -> Some true
| "MKDTEMP" -> Some true
| "TIMEGM" -> Some true
| "MALLOC_INFO" -> Some true
| "MALLOC_STATS" -> Some true
| "MEMALIGN" -> Some true
| "ENDIAN" -> Some true
| "READ_CREDENTIALS" -> Some false
| "FEXECVE" -> Some true
| "SENDMSG" -> Some true
| "PREAD" -> Some true
| "PWRITE" -> Some true
| "READ" -> Some true
| "WRITE" -> Some true
| "MKSTEMPS" -> Some true
| "MKOSTEMPS" -> Some true
| "SETRESUID" -> Some true
| "SYSCONF" -> Some true
| "SPLICE" -> Some false
| "TEE" -> Some false
| "VMSPLICE" -> Some false
| "SOCKOPT" -> Some true
| "TCP_KEEPCNT" -> Some false
| "TCP_KEEPIDLE" -> Some false
| "TCP_KEEPINTVL" -> Some false
| "POLL" -> Some true
| "SYSINFO" -> Some false
| "MCHECK" -> Some true
| "MOUNT" -> Some false
| "UNSHARE" -> Some false
| "CHROOT" -> Some true
| _ -> None

(** @return whether feature is available *)
let have = function
| `EVENTFD -> false
| `ATFILE -> true
| `DIRFD -> true
| `STATVFS -> true
| `SIOCGIFCONF -> true
| `IFADDRS -> true
| `INET_NTOA -> true
| `UNAME -> true
| `FADVISE -> true
| `FALLOCATE -> true
| `TTY_IOCTL -> true
| `TTYNAME -> true
| `CTERMID -> true
| `GETTID -> false
| `PGID -> true
| `SETREUID -> true
| `FSYNC -> true
| `FDATASYNC -> true
| `SYNC -> true
| `SYNCFS -> true
| `REALPATH -> true
| `SIGNALFD -> false
| `PTRACE -> false
| `RESOURCE -> true
| `MLOCKALL -> true
| `STRTIME -> true
| `TIMEZONE -> true
| `PTS -> true
| `FCNTL -> true
| `TCPGRP -> true
| `EXECINFO -> true
| `SETENV -> true
| `CLEARENV -> true
| `MKDTEMP -> true
| `TIMEGM -> true
| `MALLOC_INFO -> true
| `MALLOC_STATS -> true
| `MEMALIGN -> true
| `ENDIAN -> true
| `READ_CREDENTIALS -> false
| `FEXECVE -> true
| `SENDMSG -> true
| `PREAD -> true
| `PWRITE -> true
| `READ -> true
| `WRITE -> true
| `MKSTEMPS -> true
| `MKOSTEMPS -> true
| `SETRESUID -> true
| `SYSCONF -> true
| `SPLICE -> false
| `TEE -> false
| `VMSPLICE -> false
| `SOCKOPT -> true
| `TCP_KEEPCNT -> false
| `TCP_KEEPIDLE -> false
| `TCP_KEEPINTVL -> false
| `POLL -> true
| `SYSINFO -> false
| `MCHECK -> true
| `MOUNT -> false
| `UNSHARE -> false
| `CHROOT -> true
